## org.eclipse.contribution.visualiser.interfaces
Interface IVisualiserPalette

All Known Implementing Classes:
  DefaultVisualiserPalette

public interface IVisualiserPalette

Interface for defining a colour palette for the visualiser

Method Summary
`org.eclipse.swt.graphics.RGB` `getRandomRGBValue()` Return another RGB value, to be used when the predefined values from getRGBValues() are exhausted.
`org.eclipse.swt.graphics.RGB[]` `getRGBValues()` Return the array of RGB values for this palette.

Method Detail

### getRGBValues

    public org.eclipse.swt.graphics.RGB[] getRGBValues()

  Return the array of RGB values for this palette. The array can be of any length - if the array is exhausted, the getRandomRGBValue() method will be used.

  Returns:
    array of RGB values

### getRandomRGBValue

    public org.eclipse.swt.graphics.RGB getRandomRGBValue()

  Return another RGB value, to be used when the predefined values from getRGBValues() are exhausted.

  Returns:
    RGB value